summaryrefslogtreecommitdiffstats
path: root/docker-entrypoint.sh
diff options
context:
space:
mode:
authorRemi Rampin <remi@rampin.org>2023-02-08 13:56:04 -0500
committerRemi Rampin <remi@rampin.org>2023-02-08 14:05:00 -0500
commit8aabc4b3ead388d297d2f46646e552ad5143ad0e (patch)
treeae29439a5f0a11a5228074b97f68764b6e310df2 /docker-entrypoint.sh
parent295cdf7fb710f005050d9b894e4f814c96f2c068 (diff)
Remove NEXTCLOUD_INIT_LOCK
Signed-off-by: Remi Rampin <remi@rampin.org>
Diffstat (limited to 'docker-entrypoint.sh')
-rwxr-xr-xdocker-entrypoint.sh19
1 files changed, 7 insertions, 12 deletions
diff --git a/docker-entrypoint.sh b/docker-entrypoint.sh
index b02b21ef..541221ec 100755
--- a/docker-entrypoint.sh
+++ b/docker-entrypoint.sh
@@ -222,19 +222,14 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
# If another process is syncing the html folder, wait for
# it to be done, then escape initalization.
- # You need to define the NEXTCLOUD_INIT_LOCK environment variable
- if [ -n "${NEXTCLOUD_INIT_LOCK+x}" ]; then
- (
- if ! flock -n 9; then
- # If we couldn't get it immediately, show a message, then wait for real
- echo "Another process is initializing Nextcloud. Waiting..."
- flock 9
- fi
- do_install_or_upgrade
- ) 9> /var/www/html/nextcloud-init-sync.lock
- else
+ (
+ if ! flock -n 9; then
+ # If we couldn't get it immediately, show a message, then wait for real
+ echo "Another process is initializing Nextcloud. Waiting..."
+ flock 9
+ fi
do_install_or_upgrade
- fi
+ ) 9> /var/www/html/nextcloud-init-sync.lock
fi
exec "$@"